/**
 * 
 */
package org.ow2.petals.tools.webconsole.business;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URI;
import java.net.URISyntaxException;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.core.impl.multiparts.IFileUploadPart;
import org.ow2.petals.tools.webconsole.util.GeneralHelper;

/**
 * @author aruffie
 *
 */
public class AddWSDLBBean {

    public File storeWSDL(final IFileUploadPart file, final HttpServletRequest request)
            throws IOException, URISyntaxException {
        File repo = GeneralHelper.getRepositoryFile(request);
        File repoAttachement = new File(new URI(repo.toURI() + "/wsdl"));
        if (!repoAttachement.exists()) {
            repoAttachement.mkdir();
        }
         final String filePath = repoAttachement.getAbsolutePath() + File.separator + file.getFileName();
        OutputStream out = null;
        InputStream in = null;
        final File wsdlFile = new File(filePath);
        try {
            out = new FileOutputStream(wsdlFile);
            in = file.getFileInputStream();
            byte[] data = new byte[4096];
            
            int readedBytes;
            
            /*
             * Write bytes into the the wsdl copy while
             * readed data is available  (!= -1)
             */
            do{
            readedBytes = in.read(data);
                if(readedBytes != -1){
                    out.write(data,0,readedBytes);
                    out.flush();
                }
            }while(readedBytes != -1);
            
        } finally {
            out.close();
            in.close();
        }
        return wsdlFile;
    }
}
