/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector.model;

import javax.xml.namespace.QName;

/**
 * @author aruffie
 *
 */
public class Injection {

    protected String description;
    protected Mep mep;
    protected QName operation;
    protected Long synchronousSend;
    protected Boolean timeoutReached;
    protected Messages messages;

    public Injection(final String description, final Mep mep, final QName operation,
              final Long synchronousSend, final Boolean timeoutReached, final Messages messages){
        this.description = description;
        this.mep = mep;
        this.operation = operation;
        this.synchronousSend = synchronousSend;
        this.timeoutReached = timeoutReached;
        this.messages = messages;
    }
    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the mep property.
     * 
     * @return
     *     possible object is
     *     {@link Mep }
     *     
     */
    public Mep getMep() {
        return mep;
    }

    /**
     * Sets the value of the mep property.
     * 
     * @param value
     *     allowed object is
     *     {@link Mep }
     *     
     */
    public void setMep(Mep value) {
        this.mep = value;
    }

    /**
     * Gets the value of the operation property.
     * 
     * @return
     *     possible object is
     *     {@link QName }
     *     
     */
    public QName getOperation() {
        return operation;
    }

    /**
     * Sets the value of the operation property.
     * 
     * @param value
     *     allowed object is
     *     {@link QName }
     *     
     */
    public void setOperation(QName value) {
        this.operation = value;
    }

    /**
     * Gets the value of the synchronousSend property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getSynchronousSend() {
        return synchronousSend;
    }

    /**
     * Sets the value of the synchronousSend property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setSynchronousSend(Long value) {
        this.synchronousSend = value;
    }

    /**
     * Gets the value of the timeoutReached property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isTimeoutReached() {
        return timeoutReached;
    }

    /**
     * Sets the value of the timeoutReached property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setTimeoutReached(Boolean value) {
        this.timeoutReached = value;
    }

    /**
     * Gets the value of the messages property.
     * 
     * @return
     *     possible object is
     *     {@link Messages }
     *     
     */
    public Messages getMessages() {
        return messages;
    }

    /**
     * Sets the value of the messages property.
     * 
     * @param value
     *     allowed object is
     *     {@link Messages }
     *     
     */
    public void setMessages(Messages value) {
        this.messages = value;
    }

}

