/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector.model;

import java.util.ArrayList;
import java.util.List;

/**
 * @author aruffie
 *
 */
public class Messages {

    protected List<Property> property;
    protected NormalizedMessageExchange in;
    protected Acknowledgment inack;
    protected NormalizedMessageExchange out;
    protected Acknowledgment outack;
    protected NormalizedMessageExchange fault;
    protected Acknowledgment faultack;

    public Messages(){}
    /**
     * @param fault
     * @param faultack
     * @param in
     * @param inack
     * @param out
     * @param outack
     * @param property
     */
    public Messages(NormalizedMessageExchange fault, Acknowledgment faultack,
            NormalizedMessageExchange in, Acknowledgment inack, NormalizedMessageExchange out,
            Acknowledgment outack, List<Property> property) {
        super();
        this.fault = fault;
        this.faultack = faultack;
        this.in = in;
        this.inack = inack;
        this.out = out;
        this.outack = outack;
        this.property = property;
    }

    /**
     * Gets the value of the property property.
     * 
     * Objects of the following type(s) are allowed in the list
     * {@link Property }
     * 
     * 
     */
    public List<Property> getProperty() {
        if (property == null) {
            property = new ArrayList<Property>();
        }
        return this.property;
    }

    /**
     * Gets the value of the in property.
     * 
     * @return
     *     possible object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public NormalizedMessageExchange getIn() {
        return in;
    }

    /**
     * Sets the value of the in property.
     * 
     * @param value
     *     allowed object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public void setIn(NormalizedMessageExchange value) {
        this.in = value;
    }

    /**
     * Gets the value of the inack property.
     * 
     * @return
     *     possible object is
     *     {@link Acknowledgment }
     *     
     */
    public Acknowledgment getInack() {
        return inack;
    }

    /**
     * Sets the value of the inack property.
     * 
     * @param value
     *     allowed object is
     *     {@link Acknowledgment }
     *     
     */
    public void setInack(Acknowledgment value) {
        this.inack = value;
    }

    /**
     * Gets the value of the out property.
     * 
     * @return
     *     possible object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public NormalizedMessageExchange getOut() {
        return out;
    }

    /**
     * Sets the value of the out property.
     * 
     * @param value
     *     allowed object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public void setOut(NormalizedMessageExchange value) {
        this.out = value;
    }

    /**
     * Gets the value of the outack property.
     * 
     * @return
     *     possible object is
     *     {@link Acknowledgment }
     *     
     */
    public Acknowledgment getOutack() {
        return outack;
    }

    /**
     * Sets the value of the outack property.
     * 
     * @param value
     *     allowed object is
     *     {@link Acknowledgment }
     *     
     */
    public void setOutack(Acknowledgment value) {
        this.outack = value;
    }

    /**
     * Gets the value of the fault property.
     * 
     * @return
     *     possible object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public NormalizedMessageExchange getFault() {
        return fault;
    }

    /**
     * Sets the value of the fault property.
     * 
     * @param value
     *     allowed object is
     *     {@link NormalizedMessageExchange }
     *     
     */
    public void setFault(NormalizedMessageExchange value) {
        this.fault = value;
    }

    /**
     * Gets the value of the faultack property.
     * 
     * @return
     *     possible object is
     *     {@link Acknowledgment }
     *     
     */
    public Acknowledgment getFaultack() {
        return faultack;
    }

    /**
     * Sets the value of the faultack property.
     * 
     * @param value
     *     allowed object is
     *     {@link Acknowledgment }
     *     
     */
    public void setFaultack(Acknowledgment value) {
        this.faultack = value;
    }

}