/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector.utils;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.activation.DataSource;
import javax.activation.FileTypeMap;

/**
 * 
 * @author alouis
 * 
 */
public class StreamDataSource implements DataSource {

    private ByteArrayInputStream input;

    private String fileName;

    private String contentType;

    /**
     * Creates a new instance of {@link StreamDataSource}
     * 
     * @param input
     * @param fileName
     * @param contentType
     */
    public StreamDataSource(ByteArrayInputStream input, String fileName, String contentType) {
        this.input = input;
        this.fileName = fileName;
        this.contentType = contentType;
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.activation.DataSource#getContentType()
     */
    public String getContentType() {
        if (this.contentType != null) {
            return this.contentType;
        } else {
            return FileTypeMap.getDefaultFileTypeMap().getContentType(this.fileName);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.activation.DataSource#getInputStream()
     */
    public InputStream getInputStream() throws IOException {
        return input;
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.activation.DataSource#getName()
     */
    public String getName() {
        return fileName;
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.activation.DataSource#getOutputStream()
     */
    public OutputStream getOutputStream() throws IOException {
        byte[] bytes = new byte[1024];
        OutputStream outputStream = new ByteArrayOutputStream();

        while (input.available() > 0) {
            input.read(bytes);
            outputStream.write(bytes);
        }

        return new ByteArrayOutputStream();
    }
}
