/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.utils;

import javax.security.auth.login.FailedLoginException;

import org.ow2.petals.jmx.JMXClient;
import org.ow2.petals.jmx.exception.ConnectionErrorException;
import org.ow2.petals.tools.webconsole.services.PetalsServiceException;

/**
 * @author aruffie
 *
 */
public class ConnexionHelper {
    
    public static JMXClient connect(String hostname, Integer jmxJNDIPort, String jmxLogin,
                                    String jmxPassword) throws PetalsServiceException {
        try{
            return new JMXClient(hostname,jmxJNDIPort,jmxLogin,jmxPassword);
        } catch (final ConnectionErrorException e) {
            String errMsg = "Can't connect to PEtALS server on " + hostname +
                            ":" + jmxJNDIPort;       
            if ((e.getCause() != null) && (e.getCause().getCause() != null)
                    && (e.getCause().getCause() instanceof FailedLoginException)) {
                errMsg = errMsg + " - Invalid username or password";
            }
            throw new PetalsServiceException(errMsg, e);
        }
    }
}
