/**
 * 
 */
package org.ow2.petals.tools.webconsole.uibeans;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.ow2.petals.tools.webconsole.to.ComponentTO;
import org.ow2.petals.tools.webconsole.to.EndPointTO;
import org.ow2.petals.tools.webconsole.to.ServerTO;

/**
 * @author aruffie
 * 
 */
public class ComponentUIBean {

    private String name;

    private String type;

    private String state;

    private List<EndPointTO> endpoints;

    /**
     * Allow to transfert ComponentTO informations to ComponentBean (Binding
     * between this two element)
     * 
     * @param request
     */
    public void load(HttpServletRequest request) {
        boolean find = false;
        String componentName = request.getParameter("componentName");
        String serverName = request.getParameter("serverName");

        PetalsConfig petalsConfig = (PetalsConfig) request.getSession()
                .getAttribute("petalsConfig");

        for (ServerTO server : petalsConfig.getDomain().getServers()) {
            if (server.getName().equals(serverName)) {
                for (ComponentTO component : server.getBindingComponents()) {
                    if (component.getName().equals(componentName)) {
                        find = true;
                        this.name = component.getName();
                        this.state = component.getState();
                        this.type = component.getType();
                        this.endpoints = component.getEndpoints();
                    }
                }
                if (!find) {
                    for (ComponentTO component : server.getServiceEngines()) {
                        if (component.getName().equals(componentName)) {
                            find = true;
                            this.name = component.getName();
                            this.state = component.getState();
                            this.type = component.getType();
                            this.endpoints = component.getEndpoints();
                        }
                    }
                }
            }
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<EndPointTO> getEndpoints() {
        return endpoints;
    }

    public void setEndpoints(List<EndPointTO> endpoints) {
        this.endpoints = endpoints;
    }

    public ComponentUIBean() {
        super();
        endpoints = new ArrayList<EndPointTO>();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

}
