/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.xmlbeans;

import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlChild;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;

/**
 * @author aruffie
 *
 */
@XmlElement
public class Server implements IInitializable{
    @XmlAttribute(name="host")
    private String host;
    @XmlAttribute(name="port")
    private String jmxPort;
    @XmlAttribute(name="login")
    private String jmxLogin;
    @XmlAttribute(name="password")
    private String jmxPassword;
    @XmlChild(name="installedrmicomponent")
    private boolean installedRmiComponent;
    @XmlChild(name="rmiport")
    private int rmiPort;
    @XmlChild(name="rmicontext")
    private String rmiContext;
    
    public void initialize(IInitializationSupport initSupport, Object additionalSupport) {
        if(host != null && host.length() == 0)
        {
            initSupport.addValidationMessage(this, "host", IInitializationSupport.ERROR, "Wrong host");
        }
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getJmxPort() {
        return jmxPort;
    }

    public void setJmxPort(String jmxPort) {
        this.jmxPort = jmxPort;
    }

    public String getJmxLogin() {
        return jmxLogin;
    }

    public void setJmxLogin(String jmxLogin) {
        this.jmxLogin = jmxLogin;
    }

    public String getJmxPassword() {
        return jmxPassword;
    }

    public void setJmxPassword(String jmxPassword) {
        this.jmxPassword = jmxPassword;
    }

    public boolean isInstalledRmiComponent() {
        return installedRmiComponent;
    }

    public void setInstalledRmiComponent(boolean installedRmiComponent) {
        this.installedRmiComponent = installedRmiComponent;
    }

    public int getRmiPort() {
        return rmiPort;
    }

    public void setRmiPort(int rmiPort) {
        this.rmiPort = rmiPort;
    }

    public String getRmiContext() {
        return rmiContext;
    }

    public void setRmiContext(String rmiContext) {
        this.rmiContext = rmiContext;
    }

    
}
